<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.storlead.message.mapper.MessageTemplateEventGroupMapper">

        <!-- 通用查询映射结果 -->
        <resultMap id="BaseResultMap" extends="com.storlead.framework.mybatis.mapper.SysBaseFieldMapper.BaseResultMap" type="com.storlead.message.pojo.entity.MessageTemplateEventGroupEntity">
             <id column="id" property="id" />
             <result column="template_service_name" property="templateServiceName" />
            <result column="template_service_type" property="templateServiceType" />
             <result column="template_service_code" property="templateServiceCode" />
             <result column="event_name" property="eventName" />
             <result column="event_code" property="eventCode" />
             <result column="event_rule_script" property="eventRuleScript" />
            <result column="receiver_key" property="receiverKey" />
        </resultMap>

        <!-- 通用查询结果列 -->
        <sql id="Base_Column_List">
            id, template_service_name, template_service_code, event_name, event_code, event_rule_script,receiver_key,
            <include refid="com.storlead.framework.mybatis.mapper.SysBaseFieldMapper.Base_Column_List"></include>
        </sql>

        <select id="selectMessageTemplateList" resultType="com.storlead.message.pojo.vo.MessageTemplateVO">
            select * from message_template_event_group ${ew.customSqlSegment}
        </select>
</mapper>
